Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
Developer
Posts: 468
Registered: ‎08-07-2009
My Device: Curve, Bold, Storm
My Carrier: Blackberry Developer
Accepted Solution

Eclipse plugin

Hi All,

 

i have a problem, earlier I worked on Blackberry JDE but now I have switched to 'Eclipse' using blackberry plugin 1.1.2 but it supports only OS 5.0 and above. How do I create a build for 4.3 or 4.5(atleast). Can anyone guide me for the above problem.

 

Regard's

Ekansh Srivastava

----------------------------------------------------------
feel free to press the kudos button on the left side to thank the user that helped you.
please mark posts as solved if you found a solution.
Developer
Posts: 1,055
Registered: ‎01-25-2009
My Device: BlackBerry Bold 9650/BlackBerry Torch 9800

Re: Eclipse plugin

http://na.blackberry.com/eng/developers/javaappdev/javaupdate.jsp

 

Use the steps in the link above and select the SDK you need by the OS you'd like to support (starting with 4.5).

 

Once installed, you can develop for any of the OS you selected.

Jerome Carty - Follow jcarty on Twitter@jcarty | #webworks-dev / #BlackberryDev on irc.freenode.net | My Apps
Click "Accept as Solution" if post solved your original issue.. Give like/thumbs up if you feel post is helpful
Developer
Posts: 468
Registered: ‎08-07-2009
My Device: Curve, Bold, Storm
My Carrier: Blackberry Developer

Re: Eclipse plugin

Hi,

 

Thanks for your reply I already tried that but in that case one has to download and install all packages again and again cant be it just like we have some installer sort of so that we can install it as many times as we need without downloading them again and again.

 

Regards

Ekansh

----------------------------------------------------------
feel free to press the kudos button on the left side to thank the user that helped you.
please mark posts as solved if you found a solution.
Developer
Posts: 1,055
Registered: ‎01-25-2009
My Device: BlackBerry Bold 9650/BlackBerry Torch 9800

Re: Eclipse plugin

You should only have to install it once. Once installed, you change the JRE System Library of your project to work with OS 4.5 and up.

Jerome Carty - Follow jcarty on Twitter@jcarty | #webworks-dev / #BlackberryDev on irc.freenode.net | My Apps
Click "Accept as Solution" if post solved your original issue.. Give like/thumbs up if you feel post is helpful
Developer
Posts: 468
Registered: ‎08-07-2009
My Device: Curve, Bold, Storm
My Carrier: Blackberry Developer

Re: Eclipse plugin

HI

 

Can you describe it more actuallly I am saying, what if I deleted the whole eclipse from my computer and want to fresh install eclipse due to any reason then I have to again download these plugins I dont want to this any solution to this and please elaborate it I am very new to this eclipse any link for reference will be more helpfull whaere everything is descibed step by step.

 

Thanks and Regards

Ekansh Srivastava

----------------------------------------------------------
feel free to press the kudos button on the left side to thank the user that helped you.
please mark posts as solved if you found a solution.
Developer
Posts: 1,055
Registered: ‎01-25-2009
My Device: BlackBerry Bold 9650/BlackBerry Torch 9800

Re: Eclipse plugin

If you needed to install Eclipse fresh, you'd have to download the JRE releases all over again. The best thing to do is back up your Eclipse folder once all of your plug-ins are installed.

 

Therefore, if you have any issues with your Eclipse install, you can restore the back up folder.

Jerome Carty - Follow jcarty on Twitter@jcarty | #webworks-dev / #BlackberryDev on irc.freenode.net | My Apps
Click "Accept as Solution" if post solved your original issue.. Give like/thumbs up if you feel post is helpful
Developer
Posts: 468
Registered: ‎08-07-2009
My Device: Curve, Bold, Storm
My Carrier: Blackberry Developer

Re: Eclipse plugin

Ok. This means what I wanted can not be acheived the only workaround is the one you suggested.

 

Regards

Ekansh

----------------------------------------------------------
feel free to press the kudos button on the left side to thank the user that helped you.
please mark posts as solved if you found a solution.